Page MenuHomePhabricator

tests: blacklist a handful of test with `rhg` or `chg`
ClosedPublic

Authored by marmoute on Jul 9 2021, 8:35 PM.

Details

Summary

The use of alias to enforce chg and rhg means we are actually using a mix
of rhg/chg and hg when calling hg in the test. Fixing this breaks
various tests. This would be a large detour to fix that. I am disabling
them for now with an appropriate comment.

We would hopefully get back to them by the 5.8 release.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jul 9 2021, 8:35 PM
baymax updated this revision to Diff 29087.Jul 9 2021, 9:21 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 29107.Jul 9 2021, 11:41 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute edited the summary of this revision. (Show Details)Jul 10 2021, 1:47 PM
Alphare accepted this revision.Jul 13 2021, 12:03 PM
Alphare added a subscriber: Alphare.

You probably mean 5.9, right?

Cool that we're finding out these bugs before they bite us too hard. This will also be important to fix during the freeze.

This revision is now accepted and ready to land.Jul 13 2021, 12:03 PM
This revision was automatically updated to reflect the committed changes.
Alphare added inline comments.Jul 23 2021, 8:30 AM
tests/test-commandserver.t
1

I can reproduce the hang with rhg for this test.

tests/test-nointerrupt.t
1

I cannot reproduce the hang with rhg for this test however

tests/test-ssh-repoerror.t
1

This test doesn't hang either, but all permission-related errors have different output (even though the behavior is the same)

I’ve reproduced the same as Alphare.

The test-commandserver.t hang happens in the first chunk of inline Python code with the earlycrasher.py extension. I see two python3 /home/simon/projects/hg/hg serve --cmdserver unix -a .hg/server.sock processes that both appear to be waiting for socket-related events.

test-ssh-repoerror.t had some "repo not found" errors instead of permission errors. I’ve submitted D11230 to fix that, though the test still fails with rhg since the formatting of permission errors is slightly different.